CRASHINFO(8)

NAME
crashinfo - analyze a core dump of the operating system

SYNOPSIS
crashinfo [-d crashdir] [-n dumpnr] [-k kernel] [core]

DESCRIPTION
The crashinfo utility analyzes a core dump saved by savecore(8). It generates a text file containing the analysis in the same directory as the core dump. For a given core dump file named vmcore.XX the generated text file will be named core.txt.XX.

By default, crashinfo analyzes the most recent core dump in the core dump directory. A specific core dump may be specified via either the core or dumpnr arguments. Once crashinfo has located a core dump, it analyzes the core dump to determine the exact version of the kernel that generated the core. It then looks for a matching kernel file under each of the subdirectories in /boot. The location of the kernel file can also be explicitly provided via the kernel argument.

Once crashinfo has located a core dump and kernel, it uses several utilities to analyze the core including dmesg(8), fstat(1), iostat(8), ipcs(1), kgdb(1), netstat(1), nfsstat(1), ps(1), pstat(8), and vmstat(8). Note that kgdb must be installed from the devel/gdb port or gdb package.

The options are as follows:

-b  Run in batch mode. Write most messages to the core.txt.XX file instead of the terminal. This flag is used when crashinfo is run during boot.

-d crashdir
    Specify an alternate core dump directory. The default crash dump directory is /var/crash.

-n dumpnr
    Use the core dump saved in vmcore.dumpnr instead of the latest core in the core dump directory.

-k kernel
    Specify an explicit kernel file.

SEE ALSO
textdump(4), savecore(8)

HISTORY
The crashinfo utility appeared in FreeBSD 6.4.